> ## Documentation Index
> Fetch the complete documentation index at: https://docs.renifler.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Launch a scan for a given URL

> This function initiates a scan for the specified URL and returns a scan ID and estimated time.



## OpenAPI

````yaml https://api.renifler.io/openapi.json post /v1/scan
openapi: 3.1.0
info:
  title: Renifler API
  description: API endpoints - Public (/v1) and Authenticated (/technologies)
  license:
    name: ''
  version: 1.0.0
servers: []
security: []
paths:
  /v1/scan:
    post:
      tags:
        - Scan
      summary: Launch a scan for a given URL
      description: >-
        This function initiates a scan for the specified URL and returns a scan
        ID and estimated time.
      operationId: launch_scan
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScanRequest'
        required: true
      responses:
        '200':
          description: Scan launched
        '500':
          description: Internal server error
components:
  schemas:
    ScanRequest:
      type: object
      required:
        - url
      properties:
        force:
          type:
            - boolean
            - 'null'
        options:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Optional job options controlling which stages run
        url:
          type: string

````